#!/bin/ksh

# FileTest.ksh

# Goes over the common file
# tests you might want to
# do.

# - Jim

# Does the file exist?

if [[ -a /etc/passwd ]]
then

  print "passwd file exists."
  print

fi

# 
# Think of "a" as any
# type of file.

# ===

# Is it a regular file?
# Is it a file that has
# regular data?

if [[ -f /bin/ksh ]]
then

  # has text or is
  # executable.
  print "ksh is Reg. file"
  print

fi

if [[ -d /etc ]]
then

  print "Good. /etc exists."

fi

# Is it a shortcut?
# Is it a symbolic link?

if [[ -L /etc/aliases ]]
then

  ls -l /etc/aliases
  print

fi

# Does the file have a size
# to it?

# if [[ -s file ]]
# -s for size

# Empty file or zero size:
if [[ ! (-s /tmp/a.txt) ]]
then

  print "/tmp/a.txt is empty."

fi

# Can YOU read the file?
# [[ -r file ]]
# if dir,  then you can
# do an ls on dir
# but not ls -l

# Can YOU write to the file?
# [[ -w file ]]
# If dir, the you can
# write to that dir if
# you can also execute.

# Can YOU execute the file?
# [[ -x file ]]
# If dir, then you can
# execute files in the dir
# and execute (rm, cd,  ls -l)
# for that dir.

# Are you the owner of the file?
# [[ -O file ]]

# Is your primary group the 
# owner of the file?
# [[ -G file ]]

# [[ f1 -nt f2 ]]
# f1 is newer than f2.

# [[ f1 -ot f2 ]]
# f1 is older than f2.
