#!/bin/ksh

# IfStrings.ksh

# Goes over testing strings
# instead of math.  Also,
# it introduces pattern matching.

# - Jim

# Here are math tests and the
# corresponding string tests:
# (Notice the square brackets
# and the double quotes.)
# Also, you need white space
# between [[ and var name.
#
# Equals:
# (( num1 == num2 ))
# [[ "$s1" = "$s2" ]]
#
# To assign:
# s1=$s2
#
# Not equals:
# (( num1 != num2 ))
# [[ "$s1" != "$s2" ]]
# 
# Less than:
# Before:
# (( num1 < num2 ))
# [[ "$s1" < "$s2" ]]
# Note: This is based off of
# the ascii charactet set.
# Therefore "Z" is before "a".
# Also, in ascii 19 is before
# 2.
#
# Greater than:
# After:
# (( num1 > num2 ))
# [[ "$s1" > "$s2" ]]
#
# Less than or equal to:
# (( num1 <= num2 ))
# ( [[ "$s1" < "$s2" ]] || [[ "$s1" = "$s2" ]] )
#
# Greater than or equal to:
# (( num1 >= num2 ))
# ( [[ "$s1" > "$s2" ]] || [[ "$s1" = "$s2" ]] )
#
# Zero length:
# [[ -z "$s1" ]]
#
# Nonzero length:
# [[ -n "$s1" ]]

print -n "Enter a file name: "
read FileName

if [[ "$FileName" = a* ]]; then

 # Please note: no double quote
 # around the right hand string.

 # File name starts with a
 # letter lowercase a. 

 # If the pattern a* is inside
 # of double quotes, then it
 # is literal w/o wild card
 # ability.  It would look for
 # a "a*".
 print "File starts with 'a'".

fi
exit
if [[ "$FileName" = "a*" ]]; then

 # Please note: there are double quotes
 # around the right hand string.

 # File name starts with a
 # "a*".

 print "File is 'a*'."

fi

exit

if [[ "$FileName" = *.ksh ]]; then

 # It's a korn shell program.

 print "File is a korn shell script."
fi

exit


if [[ "$FileName" = "bob" ]]
then

# Match "bob".
# Does not match "bOb", nor "Bob".
fi

if [[ "$FileName" = oracle??? ]]; then
then

# Matches oracle followed
# by any 3 characters.



if [[ "$FileName" = a* ]]; then

# matches: "a" followed by anything
# or nothing.

if [[ "$FileName" = "a*" ]]; then

# matches: "a*"
# does not match: "a", "a**"
 
if [[ "$Answer" = [Yy][Ee][Ss] ]]
if [[ "$FileName" = *b* ]]; then

 # File name has a "b" in it.

 print "file name has a 'b'."
fi

print -n "(Enter yes or no.) "
read Answer

if [[ "$Answer" = [Yy][Ee][Ss] ]]
then

 # Move the file.

 print "Moving file."
fi 
