#!/bin/ksh

# IfStrings2.ksh

# Goes over pattern matching.

# - Jim

# Here are math tests and the
# corresponding string tests:
# (Notice the square brackets
# and the double quotes.)
# Also, you need white space
# between [[ and var name.
#
# Equals:
# (( num1 == num2 ))
# [[ "$s1" = "$s2" ]]
#
# To assign:
# s1=$s2
#
# Not equals:
# (( num1 != num2 ))
# [[ "$s1" != "$s2" ]]
# 
# Less than:
# Before:
# (( num1 < num2 ))
# [[ "$s1" < "$s2" ]]
# Note: This is based off of
# the ascii charactet set.
# Therefore "Z" is before "a".
# Also, in ascii 19 is before
# 2.
#
# Greater than:
# After:
# (( num1 > num2 ))
# [[ "$s1" > "$s2" ]]
#
# Less than or equal to:
# (( num1 <= num2 ))
# ( [[ "$s1" < "$s2" ]] || [[ "$s1" = "$s2" ]] )
#
# Greater than or equal to:
# (( num1 >= num2 ))
# ( [[ "$s1" > "$s2" ]] || [[ "$s1" = "$s2" ]] )
#
# Zero length:
# [[ -z "$s1" ]]
#
# Nonzero length:
# [[ -n "$s1" ]]

print -n "Enter a username: "
read UserName

if [[ "$UserName" = "bob" ]]
then

  # Match "bob".
  # Does not match "bOb", nor "Bob".

  print "Matched \"bob\""
fi

if [[ "$FileName" = oracle??? ]]
then

  # Matches oracle followed
  # by any 3 characters.

  print "Matched \"oracle???\""
fi

if [[ "$FileName" = a* ]]; then

  # matches: "a" followed by 
  # anything or nothing.

  print "Matched \"a\" followed by"
  print "anything or nothing."
fi

if [[ "$FileName" = "a*" ]]; then

  # Matches "a*" only.

  print
  print "Matched \"a*\" only."
fi
