#!/bin/ksh

# IfStrings3.ksh

# Goes over pattern matching.

# - Jim

# Here are math tests and the
# corresponding string tests:
# (Notice the square brackets
# and the double quotes.)
# Also, you need white space
# between [[ and var name.
#
# Equals:
# (( num1 == num2 ))
# [[ "$s1" = "$s2" ]]
#
# To assign:
# s1=$s2
#
# Not equals:
# (( num1 != num2 ))
# [[ "$s1" != "$s2" ]]
# 
# Less than:
# Before:
# (( num1 < num2 ))
# [[ "$s1" < "$s2" ]]
# Note: This is based off of
# the ascii charactet set.
# Therefore "Z" is before "a".
# Also, in ascii 19 is before
# 2.
#
# Greater than:
# After:
# (( num1 > num2 ))
# [[ "$s1" > "$s2" ]]
#
# Less than or equal to:
# (( num1 <= num2 ))
# ( [[ "$s1" < "$s2" ]] || [[ "$s1" = "$s2" ]] )
#
# Greater than or equal to:
# (( num1 >= num2 ))
# ( [[ "$s1" > "$s2" ]] || [[ "$s1" = "$s2" ]] )
#
# Zero length:
# [[ -z "$s1" ]]
#
# Nonzero length:
# [[ -n "$s1" ]]

print -n "Enter yes or no: "
read Answer 

if [[ "$Answer" = [yY]* ]]
then

  # Matches "y*" or "Y*".
  # Also works for more than 2
  # characters.  For example:
  # [aeiouAEIOU]

  print "Matched y* or Y*"
fi

print -n "Enter 1st word: "
read Answer

if [[ "$Answer" = [0-9]* ]]
then

  # A range [0-9]
  print "This is not a word."
fi

if [[ "$Answer" = [2-4]* ]]
then
  # Smaller range.
  print "Starts a 2, 3, or 4."
fi

if [[ "$Answer" = [13579]* ]]
then

  # Odd number answer.
  print "odd number."
fi

print -n "Enter 2nd word: "
read Word

if [[ "$Word" = [a-zA-Z][a-zA-Z][a-zA-Z]* ]]
then

  # Is a word of at least 3 characters.
  print "Is a word of at least 3 chars."
fi

print -n "Enter 3rd word: "
read Answer

if [[ "$Answer" = [!a-z]* ]]
then

  # print not a word.
  print "Not a word."
fi
exit


exit



print -n "Enter a drink: "
read Drink
if [[ "$Drink" = (coke|sprite|pepsi) ]]
then

  # Matches one of the above choices.
  print "nonalcoholic."

fi

exit



if [[ "$FileName" = oracle??? ]]
then

  # Matches oracle followed
  # by any 3 characters.

  print "Matched \"oracle???\""
fi

if [[ "$FileName" = a* ]]; then

  # matches: "a" followed by 
  # anything or nothing.

  print "Matched \"a\" followed by"
  print "anything or nothing."
fi

if [[ "$FileName" = "a*" ]]; then

  # Matches "a*" only.

  print
  print "Matched \"a*\" only."
fi
