#!/bin/ksh

# IfStrings4.ksh

# Goes over pattern matching.

# - Jim

# Here are math tests and the
# corresponding string tests:
# (Notice the square brackets
# and the double quotes.)
# Also, you need white space
# between [[ and var name.
#
# Equals:
# (( num1 == num2 ))
# [[ "$s1" = "$s2" ]]
#
# To assign:
# s1=$s2
#
# Not equals:
# (( num1 != num2 ))
# [[ "$s1" != "$s2" ]]
# 
# Less than:
# Before:
# (( num1 < num2 ))
# [[ "$s1" < "$s2" ]]
# Note: This is based off of
# the ascii charactet set.
# Therefore "Z" is before "a".
# Also, in ascii 19 is before
# 2.
#
# Greater than:
# After:
# (( num1 > num2 ))
# [[ "$s1" > "$s2" ]]
#
# Less than or equal to:
# (( num1 <= num2 ))
# ( [[ "$s1" < "$s2" ]] || [[ "$s1" = "$s2" ]] )
#
# Greater than or equal to:
# (( num1 >= num2 ))
# ( [[ "$s1" > "$s2" ]] || [[ "$s1" = "$s2" ]] )
#
# Zero length:
# [[ -z "$s1" ]]
#
# Nonzero length:
# [[ -n "$s1" ]]

print -n "Enter a name: "
read Name 

# ?() matches 0 or 1 of what
# is in the ().
# ?(pat)
# ?(pat1|pat2|pat3)

if [[ $Name = tom?(my) ]]
then
  # tom, tommy
  print "Hi Tom"

fi 

if [[ $Name = [jJ]ohn?(ny|boy|nie) ]]
then
  # [jJ]ohn, [jJ]ohnny,
  # [jJ]ohnboy, [jJ]ohnnie
  print "Hi John"
fi

if [[ $Name = ann?([ae]) ]]
then

  # ann, anna, anne
  print "Welcome Ann"
fi

if [[ $Name = ch?(ap?(t)|apter)01.txt ]]
then

  print "Found chapter01"
fi
