#!/bin/ksh

# IfStrings5.ksh

# Goes over pattern matching.

# - Jim

# Here are math tests and the
# corresponding string tests:
# (Notice the square brackets
# and the double quotes.)
# Also, you need white space
# between [[ and var name.
#
# Equals:
# (( num1 == num2 ))
# [[ "$s1" = "$s2" ]]
#
# To assign:
# s1=$s2
#
# Not equals:
# (( num1 != num2 ))
# [[ "$s1" != "$s2" ]]
# 
# Less than:
# Before:
# (( num1 < num2 ))
# [[ "$s1" < "$s2" ]]
# Note: This is based off of
# the ascii charactet set.
# Therefore "Z" is before "a".
# Also, in ascii 19 is before
# 2.
#
# Greater than:
# After:
# (( num1 > num2 ))
# [[ "$s1" > "$s2" ]]
#
# Less than or equal to:
# (( num1 <= num2 ))
# ( [[ "$s1" < "$s2" ]] || [[ "$s1" = "$s2" ]] )
#
# Greater than or equal to:
# (( num1 >= num2 ))
# ( [[ "$s1" > "$s2" ]] || [[ "$s1" = "$s2" ]] )
#
# Zero length:
# [[ -z "$s1" ]]
#
# Nonzero length:
# [[ -n "$s1" ]]

print -n "Enter a name: "
read Name 

#
# ?(optional patterns)String
# String?(optional patterns)
# String?(optional patterns)String2
# String?(pat1|pat2|pat3)
# 
# @() matches exactly 1 of what
# is in the ().
# @(pat1|pat2|pat3)
# Useful for looking for a list
# of things.

if [[ $Name = T@(homas|om|ommy) ]]
then
  # Tom, Thomas, Tommy
  print "Hi Tom"

fi 

if [[ $Name = [jJ]ohn@(|ny|boy|nie) ]]
then
  # [jJ]ohn, [jJ]ohnny,
  # [jJ]ohnboy, [jJ]ohnnie
  print "Hi John"
fi

print -n "Enter a color: "
read Color

if [[ $Color = @(white|lemon|sky\| blue) ]]
then

  # Nice colors.
  print "relaxing color"

fi

if [[ $Name = ch@(|ap?(t)|apter)01.txt ]]
then
  # ch01.txt, chap01.txt
  # chapt01.txt, chapter01.txt
  print "Found chapter01"
fi
