#!/bin/ksh

# IfStrings5.ksh

# Goes over pattern matching.

# - Jim

# Here are math tests and the
# corresponding string tests:
# (Notice the square brackets
# and the double quotes.)
# Also, you need white space
# between [[ and var name.
#
# Equals:
# (( num1 == num2 ))
# [[ "$s1" = "$s2" ]]
#
# To assign:
# s1=$s2
#
# Not equals:
# (( num1 != num2 ))
# [[ "$s1" != "$s2" ]]
# 
# Less than:
# Before:
# (( num1 < num2 ))
# [[ "$s1" < "$s2" ]]
# Note: This is based off of
# the ascii charactet set.
# Therefore "Z" is before "a".
# Also, in ascii 19 is before
# 2.
#
# Greater than:
# After:
# (( num1 > num2 ))
# [[ "$s1" > "$s2" ]]
#
# Less than or equal to:
# (( num1 <= num2 ))
# ( [[ "$s1" < "$s2" ]] || [[ "$s1" = "$s2" ]] )
#
# Greater than or equal to:
# (( num1 >= num2 ))
# ( [[ "$s1" > "$s2" ]] || [[ "$s1" = "$s2" ]] )
#
# Zero length:
# [[ -z "$s1" ]]
#
# Nonzero length:
# [[ -n "$s1" ]]

print -n "Enter a name: "
read Name 

#
# @(req. patterns)String
# String@(req. patterns)
# String@(req. patterns)String2
# String@(pat1|pat2|pat3)
# 
# *() matches 0 or more of what
# is in the () in any combination.
# *(pat1|pat2|pat3)

if [[ $Name = T*(homas|om|ommy) ]]
then
  # T
  # Tom, Thomas, Tommy
  # Tomommy, Tommyhomas,
  # Tomommyommyom
  print "Hi Tom"

fi 

print -n "Enter an answer : "
read Answer

if [[ $Answer = [Aa]*([a-z]) ]]
then

  # Won't match "don't".
  # Starts with a letter a or A.
  print "Starts with a or A." 
fi

# +(req pats) => matches one
# or more of the req. patterns.
# +([a-z]) => chars only
# +([0-9]) => numbers only
# above matches 0008, 91, 0.

if [[ $Answer = +([a-z])\'+([a-z]) ]]
then

  # Could be a contracted would.
  print "contraction."
fi

# !(excluded patterns) =>
# matches anything but what
# is in ().
# Think of it as * - excluded
# patterns.

# Examples:

read User

if [[ $User = !(root) ]]
then

  # Anybody but root.
  print "Anybody but root."
fi

read File
if [[ $File = Ora_!(jan|feb).txt ]]
then

  # matches Ora_mar.txt, Ora_.txt
  # doesn't march:
  # Ora_feb.txt, Ora_jan.txt
  # Found file
  print "Found File!"
fi
