#!/bin/ksh

# NonCase.ksh

# Reviews if-elif-else construct.

# - Jim

# If you want to test 1
# variable for several
# conditions, you can use
# if-elif-else construct.

# if (( test1 ));then
#   command group 1
# elif (( test2 )); then
#   command group 2
# elif (( test3 )); then
#   command group 3
# else
#   command group 4
# fi

# Remember the FIRST test that
# is true gets executed.  After,
# the program automatically
# breaks out of the if-elif
# structure, and does not perform
# any more tests.

print
print "Please enter the type of "
print "backup you want done:[ABCD]."

print "A: Daily"
print "B: Weekly"
print "C: Quarterly"
print "D: Special"

print

print -n "Response: "
read Response

print

if [[ $Response = [Aa] ]]
then

  # Do a Daily backup
  print "Starting daily backup."
  # /oracle/backup.daily.ksh

elif [[ $Response = [Bb] ]]
then

  # Do a Weekly backup
  print "Starting weekly backup."
  # /oracle/backup.weekly.ksh

elif [[ $Response = [Cc] ]]
then

  # Do a Quarterly backup
  print "Starting quarterly backup."
  # /oracle/backup.quarterly.ksh

elif [[ $Response = [Dd] ]]
then

  # Do a Special backup
  print "Starting daily backup."
  # /oracle/backup.daily.ksh

  print
  print "Please take out daily tapes."
  print "Please put in weekly tapes,"
  print -n "and hit 'enter' to continue."
  read Waiting

  print
  print "Starting weekly backup."
  # /oracle/backup.weekly.ksh

else

  # Person entered in bad data.
  # Tell them to enter a right
  # choice.

  print "'$Response' is not a valid choice."
fi
