#!/bin/ksh

# OptInd.ksh [-yz] [-x Val] [args]

# Shows how the getopts
# finds its way through
# the argument list using
# the OPTIND counter.

# OPTIND holds the location
# in the list at which 
# the getopts is. It
# stops updating OPTIND
# when it finds something
# it can't handle.

# - Jim

for Counter in 1 2 3 4
do

  print "OPTIND is $OPTIND"
  print "List is: $*"
  print
  print "Running getopts"

  getopts :x:yz Flag
  print "Flag is $Flag"
done
