#!/bin/ksh

# Case.ksh

# Introduces the case statement
# which allows you to test 1
# variable against several 
# different values.  The 1st test
# that is true will result in
# the code assigned to it to be
# executed until a ;; is found.

# After, it breaks out of the case statement
# without performing any more tests.

# You do need to end code with
# ;; before the next pattern
# matching test.  No fall through
# allowed.

# Format of case statement:

# case $Var in
#   Pat1)
#     Code 1 ;;
#   Pat2)
#     Code 2 ;;
#   Pat3)
#     Code 3 ;;
#   *)
#     Default Code ;;
# esac

print -n "Enter a value: "
read Var

# To read in to a var., don't
# use $.  To get info out,
# use $.

case $Var in
# comment

  1) print "value is 1";; 
  2) print "value is 2";;
  3|71) print "value is 3 or 71";;
  *) print "Please enter 1, 2, 3, or 71";;
esac


print
print "Please enter the type of "
print "backup you want done:[ABCD]."

print "A: Daily"
print "B: Weekly"
print "C: Quarterly"
print "D: Special"

print

print -n "Response: "
read Response

print

case $Response in
  [Aa])
    # Do a Daily backup
    print "Starting daily backup."
    # /oracle/backup.daily.ksh
    ;;

  @(B|b))
    # Do a Weekly backup
    print "Starting weekly backup."
    # /oracle/backup.weekly.ksh
    ;;

  [Cc])
    # Do a Quarterly backup
    print "Starting quarterly backup."
    # /oracle/backup.quarterly.ksh
    ;;

  [Dd])
    # Do a Special backup
    print "Starting daily backup."
    # /oracle/backup.daily.ksh

    print
    print "Please take out daily tapes."
    print "Please put in weekly tapes,"
    print -n "and hit 'enter' to continue."
    read Waiting

    print
    print "Starting weekly backup."
    # /oracle/backup.weekly.ksh
    ;;

  *)
    # Person entered in bad data.
    # Tell them to enter a right
    # choice.

    print "'$Response' is not a valid choice."
    ;;
esac

