#!/bin/ksh

# Until.ksh

# Introduces the until 
# loop.

# - Jim

# while (test)
# do
#   commands
# done

# until (test)
# do
#   commands
# done

# Basically, the until loop
# is the opposite of the 
# while loop.

# While loop runs a 
# test.  If the test is
# true, then the code
# inside of do to done
# is repeatedly executed
# until the test is false.

# "while (test)" is the same
# as "until ! (test)".  And,
# "while ! (test)" is the same
# as "until (test)".

# Make sure that you have the
# space between the ! and the
# test.

# Structure:
# until test
# do
#   commands
# done


print "until with !."

n=0

#while (( n < 6 )); do

until ! ( (( n < 6 )) ); do

  (( Cube = n * n * n ))
  print "$n cubed is $Cube."

  (( n = n + 1 ))
done

print
print -n "Waiting. Hit <CR>."
read Waiting
print
print "until w/o !."

n=0

until (( n >= 6 )); do

    (( Cube = n * n * n ))
  print "$n cubed is $Cube."

  (( n = n + 1 ))
done
