#!/bin/ksh

# ProcFlags3.ksh [-xy]
# ProcFlags3.ksh -x
# ProcFlags3.ksh -y
# ProcFlags3.ksh -x -y
# ProcFlags3.ksh -yx


# Adds a case statement to the
# mix.  Also, introduce OPTARG
# variable.  It holds the flag
# that the user entered.

# 1st, we introduced
# getopts.
# Then, we put it into a while
# loop b/c getops returns 
# a true or a false.

# Now, we will use a case
# statement to do something
# with flags we found.

# - Jim

Usage="ProcFlags.ksh [-xy]"

XSet=0
YSet=0

# When you encounter a
# flag, korn shell assigns
# the flag to OPTARG.
# This can be used to tell
# the user that they entered
# a bad flag.

# When a flag is entered,
# change a variable.  Then,
# after the while loop, test
# for changed variables
# throughout your code.

while getopts :xy Value
do
  case $Value in
    x) print "Entered -x"
       print "OPTARG is $OPTARG"
       XSet=1;;
    y) print "Entered -y"
       YSet=1;;
   \?) print -n "Flag:$OPTARG "
       print "OPTARG is $OPTARG"
       print "is not a valid flag."
       print
       print "$Usage"
       exit;; #Korn shell command.
  esac
done

if (( XSet == 1 ));then

  # Perform some code.
  print "XSet is 1"

fi

if (( YSet == 1 ));then

  # Perform some code.
  print "YSet is 1"

fi
