#!/bin/ksh

# ProcFlags4.ksh [-x Value] [-y]
# ProcFlags4.ksh -xValue
# ProcFlags4.ksh -x Value
# ProcFlags4.ksh -y
# ProcFlags4.ksh -yx Value

# Goes over how we can read in
# value assigned to a flag.

# - Jim

Usage="ProcFlags.ksh [-x Value] [-y]"

XSet=0
YSet=0

# Old while statement:
# while getopts :xy Flag

# New while statement:
# while getopts :x:y Flag

# Putting a : after a flag
# means the flag requires
# a value.

# If you put a value after
# x, then OPTARG gets the
# value, and x gets assigned
# to Flag.

# If you do not put a value
# after x, then OPTARG gets
# the name of the flag, and
# Flag gets set to ":".

while getopts :x:y Flag
do
  case $Flag in
    x) print "Entered -x"
       XSet=1
       # Grabbing value
       XValue="$OPTARG";;
    y) print "Entered -y"
       YSet=1;;
   \?) print -n "Flag:$OPTARG "
       print "is not a valid flag."
       print
       print "$Usage"
       exit;; #Korn shell command.
    :) print -n "Flag:$OPTARG "
       print "requires a value"
       print
       print "$Usage"
       exit;;
  esac
done

if (( XSet == 1 ));then

  # Perform some code.
  print "XSet is 1"
  print "XValue is $XValue"

fi

if (( YSet == 1 ));then

  # Perform some code.
  print "YSet is 1"

fi
