#!/bin/ksh

# ProcFlags5.ksh [-x Value] [-y] [args]
# ProcFlags5.ksh -xValue Arg1 Arg2
# ProcFlags5.ksh -x Value
# ProcFlags5.ksh -y Arg1 Arg2
# ProcFlags5.ksh -yx Value

# Goes over how we can read in
# optional arguments after 
# processing all the flags.

# - Jim

Usage="ProcFlags.ksh [-x Value] [-y] [args]"

XSet=0
YSet=0

# Nothing changes w/ getopts nor
# the case statement.

# Of importance: getopts keeps
# track of where it is in the
# command line list (what the
# user entered - flags and 
# arguments) via a variable called
# OPTIND.  It holds the location
# (1, 2, 3, 4, ...) of where it
# is in the list.

while getopts :x:y Flag
do
  case $Flag in
    x) print "Entered -x"
       XSet=1
       # Grabbing value
       XValue="$OPTARG";;
    y) print "Entered -y"
       YSet=1;;
   \?) print -n "Flag:$OPTARG "
       print "is not a valid flag."
       print
       print "$Usage"
       exit;; #Korn shell command.
    :) print -n "Flag:$OPTARG "
       print "requires a value"
       print
       print "$Usage"
       exit;;
  esac
done

# Now OPTIND (Option Index) holds
# the location of the nonflag entries.

# Our list of arguments is stored
# in $* or $@.  It is the whole list.
# We want to remove the entries related
# to the flags. 

print -n "The input list is: "
print -R "$*"

(( StartHere = OPTIND - 1 ))
shift $StartHere

# The "shift number" command
# removes the number of entries
# from the command line arg
# list.

# For example:
# $* => a b c d e f g
# After a "shift 2"
# $* => c d e f g

print -n "After the shift: "
print -R "$*"

I=0

for Var in $*
do

  (( I = I + 1 ))
  print "$I: $Var"
done

exit


if (( XSet == 1 ));then

  # Perform some code.
  print "XSet is 1"
  print "XValue is $XValue"

fi

if (( YSet == 1 ));then

  # Perform some code.
  print "YSet is 1"

fi
