#!/bin/ksh

# Shift.ksh args

# The korn shell "shift num"
# command takes the list you
# entered in on the command
# line ($* or $@), and
# shortens it.

# If you input:
# Shift.ksh a b c d e f g
# , then your list is:
# a b c d e f g
# shift

# Result is:
# b c d e f g

# shift 2
# d e f g

# shift 0
# d e f g

print "Input List: "
print -R "$*" 

# The -R allows you to
# start the "String"
# with a flag.

# Remove 1 from the list
print "Remove 1 from list"
print "w/ shift"

shift

print "Input List: "
print -R "$*"

# Remove 2 from the list
print "Remove 2 from list"
print "w/ shift 2"

shift 2

print "Input List: "
print -R "$*"

# Remove 0 from the list
print "Remove 0 from list"
print "shift 0"

shift 0

print "Input List: "
print -R "$*"
