#!/bin/ksh

# aliases.ksh

# Introduces aliases!

# An alias is another name
# for a command, or string
# of characters.

# - Jim

Var1="Value"

alias ShortCut='Command'

# Use single quotes so that
# Command can contain "s.

# Reasons for using shortcuts:
#
# 1) shorter names for common
# commands.
# Example:
# alias psg='ps -ef | grep'
# psg User1
# ps -ef | grep User1
#
# alias p3n='print "\n\n"'
# p3n
# print "\n\n"
# Prints 3 blank lines.

# 2) Provide a safety valve.
# Example:
# alias print='print -R'
# print "-5 is negative."
# print -R "-5 is negative."

# 3) Allow better names.
# Korn Example:
# 'integer' is an alias for
# 'typeset -i'.

alias d1='date'
alias d1u='date -u'

alias print='print -R'

print "-5"

d1
d1u
